GLSA-200707-13 : Fail2ban: Denial of Service

This script is Copyright (C) 2007-2014 Tenable Network Security, Inc.


Synopsis :

The remote Gentoo host is missing one or more security-related
patches.

Description :

The remote host is affected by the vulnerability described in GLSA-200707-13
(Fail2ban: Denial of Service)

A vulnerability has been discovered in Fail2ban when parsing log files.

Impact :

A remote attacker could send specially crafted SSH login banners to the
vulnerable host, which would prevent any ssh connection to the host and
result in a Denial of Service.

Workaround :

There is no known workaround at this time.

See also :

http://www.ossec.net/en/attacking-loganalysis.html#fail2ban
http://www.gentoo.org/security/en/glsa/glsa-200707-13.xml

Solution :

All Fail2ban users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose '>=net-analyzer/fail2ban-0.8.0-r1'

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Family: Gentoo Local Security Checks

Nessus Plugin ID: 25809 (gentoo_GLSA-200707-13.nasl)

Bugtraq ID:

CVE ID: CVE-2007-4321